Subject: bug#71370: 30.0.50; Please un-obsolete buffer-substring as a generalized variable

From: Adam Porter <[email-masked]>
Date: Wed, 5 Jun 2024 12:35:39 -0500

Hi Eli,

On 6/5/24 09:58, Eli Zaretskii wrote:
>> Date: Wed, 5 Jun 2024 09:16:53 -0500
>> Cc: [email-masked]
>> From: Adam Porter <[email-masked]>
>>
>>> I think it's too late to do this now, not without a very good
>>> reason. Unless such a good reason emerges VSN, this will need to wait
>>> till Emacs 31 at least.
>>
>> That would mean years more of unnecessary compilation warnings' annoying
>> users when they install packages that use this form.
> 
> Please also look at this from where I stand: if we keep adding
> last-minute changes that no one tried for long enough time, we will
> never start the Emacs 30 release cycle, because doing that with an
> unstable master branch is a very bad idea, and delaying the branch is
> the only way of knowing whether the master branch is okay after each
> change.
> 
> So I must draw the line in the sand at some point (pun intended), and
> I just did, a few weeks ago.

Of course, I would not argue with that.  I thought that un-marking these 
forms as obsolete, and thereby removing the warnings, would merely be a 
reversion that would not constitute a change in functionality, i.e. it 
would not risk any breakage, so it would be a safe change to make at 
this point.  If that is not the case, or not in your judgment, I won't 
argue with you; and I would ask that the change be made in the following 
version.

Thanks,
Adam